Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementretrieveallattributes Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementretrieveallattributes (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method(Node Interface) may be used to retrieve the set of all attributes of an element.

Create a list of all the attributes of the last child of the first employee by using the "getAttributes()" method. Examine the length of the attribute list. This test uses the "getLength()" method from the NameNodeMap interface.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096

Definition at line 47 of file elementretrieveallattributes.java.

## Constructor & Destructor Documentation

elementretrieveallattributes::elementretrieveallattributes | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file elementretrieveallattributes.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String elementretrieveallattributes::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file elementretrieveallattributes.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementretrieveallattributes";
    00069    }

void elementretrieveallattributes::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file elementretrieveallattributes.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(elementretrieveallattributes.class,args);
    00072    }

void elementretrieveallattributes::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file elementretrieveallattributes.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       NodeList addressList;
    00058       Node testAddress;
    00059       NamedNodeMap attributes;
    00060       doc = load("staff");
    00061       addressList = doc.getElementsByTagName("address");
    00062       testAddress = addressList.item(0);
    00063       attributes = testAddress.getAttributes();
    00064       assertSize("elementRetrieveAllAttributesAssert",2,attributes);
    00065
    00066    }

The documentation for this class was generated from the following file:

- elementretrieveallattributes.java